# sudo – Substitute User DO

New in version 2.8.

- Synopsis
- Parameters
- Status

## Synopsis

- This become plugins allows your remote/login user to execute commands as another user via the sudo utility.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
become_exe - | Default: "sudo" | ini entries: [privilege_escalation] become_exe = sudo [sudo_become_plugin] executable = sudo env:ANSIBLE_BECOME_EXE env:ANSIBLE_SUDO_EXE var: ansible_become_exe var: ansible_sudo_exe | Sudo executable
become_flags - | Default: "-H -S -n" | ini entries: [privilege_escalation] become_flags = -H -S -n [sudo_become_plugin] flags = -H -S -n env:ANSIBLE_BECOME_FLAGS env:ANSIBLE_SUDO_FLAGS var: ansible_become_flags var: ansible_sudo_flags | Options to pass to sudo
become_pass - |  | ini entries: [sudo_become_plugin] password = VALUE env:ANSIBLE_BECOME_PASS env:ANSIBLE_SUDO_PASS var: ansible_become_password var: ansible_become_pass var: ansible_sudo_pass | Password to pass to sudo
become_user - | Default: "root" | ini entries: [privilege_escalation] become_user = root [sudo_become_plugin] user = root env:ANSIBLE_BECOME_USER env:ANSIBLE_SUDO_USER var: ansible_become_user var: ansible_sudo_user | User you 'become' to execute the task

## Status

- This become is not guaranteed to have a backwards compatible interface. [preview]
- This become is maintained by the Ansible Community. [community]

### Authors

- ansible (@core)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.